# Uses of Class
org.eclipse.team.core.variants.ThreeWaySynchronizer

Packages that use ThreeWaySynchronizer
Package
Description
org.eclipse.team.core.variants
Application programming interfaces for accessing and managing resource variants.

## Uses of ThreeWaySynchronizer in org.eclipse.team.core.variants

Methods in org.eclipse.team.core.variants that return ThreeWaySynchronizer
Modifier and Type
Method
Description
`ThreeWaySynchronizer`
ThreeWaySubscriber.`getSynchronizer()`
Return the three-way synchronizer of this subscriber.
Constructors in org.eclipse.team.core.variants with parameters of type ThreeWaySynchronizer
Modifier
Constructor
Description
``
`ThreeWayResourceComparator(ThreeWaySynchronizer synchronizer)`
Create a three-way resource comparator that uses the `ThreeWaySynchronizer` to compare a local resource to a resource variant.
`protected`
`ThreeWaySubscriber(ThreeWaySynchronizer synchronizer)`
Create a three-way subscriber that uses the given synchronizer to manage the synchronization state of local resources and their variants